### Enumeration

# FwupdPlugin PowerState

since: 1.0

#### Declaration

    enum FwupdPlugin.PowerState

#### Description [src]

The system power state.

This does not have to be exactly what the battery is doing, but is supposed to represent the 40,000ft view of the system power state.

For example, it is perfectly correct to set `FU_POWER_STATE_AC` if the system is connected to AC power, but the battery cells are discharging for health or for other performance reasons.

Available since: 1.0

#### Members

`FU_POWER_STATE_UNKNOWN`

  Unknown.

  - Value: `0`
  - Nickname: `None`
  - Available since: 1.0
`FU_POWER_STATE_AC`

  On AC power.

  - Value: `1`
  - Nickname: `None`
  - Available since: 1.0
`FU_POWER_STATE_AC_CHARGING`

  Charging on AC.

  - Value: `2`
  - Nickname: `None`
  - Available since: 1.0
`FU_POWER_STATE_AC_FULLY_CHARGED`

  Fully charged on AC.

  - Value: `3`
  - Nickname: `None`
  - Available since: 1.0
`FU_POWER_STATE_BATTERY`

  On system battery.

  - Value: `4`
  - Nickname: `None`
  - Available since: 1.0
`FU_POWER_STATE_BATTERY_DISCHARGING`

  System battery discharging.

  - Value: `5`
  - Nickname: `None`
  - Available since: 1.0
`FU_POWER_STATE_BATTERY_EMPTY`

  System battery empty.

  - Value: `6`
  - Nickname: `None`
  - Available since: 1.0